/**
 * @module detect
 * (Language detector)
 */
/**
 * Supported language identifiers
 */
export type CodeLanguage = 'bash' | 'html' | 'http' | 'js' | 'ts' | 'py' | 'sql' | 'pl' | 'lua' | 'make' | 'uri' | 'css' | 'diff' | 'md' | 'docker' | 'xml' | 'c' | 'rs' | 'go' | 'java' | 'asm' | 'json' | 'yaml' | 'toml' | 'mermaid' | 'plain';
/**
 * Try to find the language the given code belongs to
 *
 * @param {string} code The code to analyze
 * @returns {CodeLanguage} The detected language of the code
 */
export declare function detectLanguage(code: string): CodeLanguage;
//# sourceMappingURL=code.detect.d.ts.map